<?php
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	Blog Module 2
 
*//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function reza_blog_module_2($option=false,$class='',$excerpt_2 =false,$ratio_2=false,$image_size_2=false){
	global $post;
		$option=!empty($option)?$option:array();
 	$excerpt =!empty($excerpt_2) ? reza_data($option,'excerpt_2'):reza_data($option,'excerpt');	
	
	if(!empty($ratio_2) && reza_data($option,'ratio_2')){
 		$option['ratio'] = reza_data($option,'ratio_2');
	}
	if(!empty($image_size_2) && reza_data($option,'image_size_2')){
 		$option['image_size'] = reza_data($option,'image_size_2');
	}
  	$location =reza_option_2('blog_meta_layout','location'); 
   	$readmore =reza_data($option,'readmore'); 
	$thumbnail= wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), reza_data($option,'image_size','full') );
  	$post_thumbnail =!empty($thumbnail[0])?'':'rd-not-thumb';
	$is_sticky= is_sticky()? ' sticky ':'';
 	?>
  	
    <div class="rd-item rd-module-2  <?php echo esc_attr($class.' '.$post_thumbnail.' '.$is_sticky);?>">
	<div class="rd-post-blog  " >
               
		<?php reza_blog_thumb ($option,true,false,true);?>

		<div class="rd-details">
  
			<?php
 			if($location == 'title-top' ) reza_blog_meta($option);                                  
			 reza_blog_post_title($option);   
			if($location == 'title-bottom' ) reza_blog_meta($option); 
			if(!empty($excerpt) ){ reza_blog_excerpt($option);}
 			if($location == 'details-bottom' ) reza_blog_meta($option); 
 			if(!empty($readmore)) reza_readmore();
            ?>
		
		</div>
          
 	</div> 
 	</div> 

<?php
}